var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __reExport = (target, module2, copyDefault, desc) => {
  if (module2 && typeof module2 === "object" || typeof module2 === "function") {
    for (let key of __getOwnPropNames(module2))
      if (!__hasOwnProp.call(target, key) && (copyDefault || key !== "default"))
        __defProp(target, key, { get: () => module2[key], enumerable: !(desc = __getOwnPropDesc(module2, key)) || desc.enumerable });
  }
  return target;
};
var __toCommonJS = /* @__PURE__ */ ((cache) => {
  return (module2, temp) => {
    return cache && cache.get(module2) || (temp = __reExport(__markAsModule({}), module2, 1), cache && cache.set(module2, temp), temp);
  };
})(typeof WeakMap !== "undefined" ? /* @__PURE__ */ new WeakMap() : 0);

// src/organization-provider/on-event-handler.lambda.ts
var on_event_handler_lambda_exports = {};
__export(on_event_handler_lambda_exports, {
  handler: () => handler
});
var import_aws_sdk = require("aws-sdk");
var organizationsClient;
async function handler(event) {
  var _a, _b;
  console.log(`Request of type ${event.RequestType} received`);
  if (!organizationsClient) {
    organizationsClient = new import_aws_sdk.Organizations({ region: "us-east-1" });
  }
  if (event.RequestType == "Create") {
    try {
      const response2 = await organizationsClient.createOrganization({
        FeatureSet: event.ResourceProperties.FeatureSet
      }).promise();
      console.log("Creating organization: %j", response2);
      return { PhysicalResourceId: (_a = response2.Organization) == null ? void 0 : _a.Id, Data: { Organization: response2.Organization } };
    } catch (e) {
      const error = e;
      if (error.code == "AlreadyInOrganizationException") {
        console.log("Organization already created.");
      } else {
        throw error;
      }
    }
  }
  const response = await organizationsClient.describeOrganization().promise();
  return { PhysicalResourceId: (_b = response.Organization) == null ? void 0 : _b.Id, Data: { Organization: response.Organization } };
}
module.exports = __toCommonJS(on_event_handler_lambda_exports);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
//# sourceMappingURL=index.js.map
